/*
 * Copyright (C) 2014 Stuart Howarth <showarth@marxoft.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 3, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "filterbox.h"
#include <QAction>

FilterBox::FilterBox(QWidget *parent) :
    QToolBar(parent),
    m_filterEdit(new QLineEdit(this)),
    m_cancelAction(this->addAction(QIcon::fromTheme("general_close"), QString(), this, SLOT(clear())))
{
    this->insertWidget(m_cancelAction, m_filterEdit);
    this->setFocusProxy(m_filterEdit);
    this->setAllowedAreas(Qt::BottomToolBarArea);

    this->connect(m_filterEdit, SIGNAL(textChanged(QString)), this, SIGNAL(filterTextChanged(QString)));
}

void FilterBox::clear() {
    m_filterEdit->clear();
    emit cleared();
}
